source: configure.ac

Revision Log Mode:


Legend:

Added
Modified
Copied or renamed
Diff Rev Age Author Log Message
(edit) @5a57386   11 years nelhage Define DATADIR and BINDIR in the Makefile, not config.h This is the ... release-1.6release-1.7release-1.8release-1.9
(edit) @9d2a105   11 years nelhage BarnOwl 1.6rc1 release-1.6release-1.7release-1.8release-1.9
(edit) @75b0adb   12 years nelhage Check for stdbool.h in configure. Athena 9 Solaris doesn't have a ... release-1.6release-1.7release-1.8release-1.9
(edit) @e2cbbbe   12 years nelhage Merge branch 'refactor-zcrypt' release-1.6release-1.7release-1.8release-1.9
(edit) @9a7b4f2   12 years nelhage Use zcrypt from our own bin directory. release-1.6release-1.7release-1.8release-1.9
(edit) @7d03c8d   12 years nelhage Add zcrypt to our build system. release-1.6release-1.7release-1.8release-1.9
(edit) @2d3ed95   12 years nelhage Check for some perl modules. These are the modules needed by the core ... release-1.6release-1.7release-1.8release-1.9
(edit) @4c97193   12 years nelhage Explicitly check for the presence of libperl. Apparently ... release-1.6release-1.7release-1.8release-1.9
(edit) @db4b293   12 years nelhage Add a check for the 'zip' program. Reviewed-by: Anders Kaseorg ... release-1.6release-1.7release-1.8release-1.9
(edit) @59077f9   12 years davidben Link to libpanel (provided with ncurses) libpanel makes life easier ... release-1.6release-1.7release-1.8release-1.9
(edit) @cecb125   12 years andersk Require automake ≥ 1.7.0, and don’t warn about portability to non-GNU ... release-1.6release-1.7release-1.8release-1.9
(edit) @10557e6   12 years andersk Makefile.am: Use only direct children in SUBDIRS, to appease automake ... release-1.6release-1.7release-1.8release-1.9
(edit) @ec5d1a2   12 years nelhage Start 1.6 release release-1.6release-1.7release-1.8release-1.9
(edit) @491cdb1   12 years nelhage BarnOwl 1.5 release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @980fa31   12 years nelhage BarnOwl 1.5rc2 release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @1fd6086   12 years nelhage BarnOwl 1.5rc1 release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @438009c   12 years andersk Correct the --with-libzephyr help string to --with-zephyr. ... release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @30b634a   12 years nelhage Bump version number for development. release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @82fbdf0   12 years nelhage BarnOwl 1.4rc1 release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @de8945b   12 years andersk Require strict prototypes. Signed-off-by: Anders Kaseorg <andersk@mit.edu> release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @8073852   12 years andersk Use an aclocal macro directory m4/, and add the macros we use. ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @1c89df8   12 years nelhage FOO → PERL_CFLAGS in configure.ac Signed-off-by: Nelson Elhage ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @d193e28   12 years nelhage Clean up AC_CHECK_FUNCS call. Signed-off-by: Nelson Elhage ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @363eb9d   12 years nelhage configure.ac: Use AC_SEARCH_LIBS for lib{nsl,socket,resolv}. We only ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @cc1eeac   12 years nelhage configure.ac: Only use com_err if building --with-zephyr. ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @806f769   12 years nelhage configure.ac: Clean up checks for Kerberos IV. Instead of searching a ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @79245bc   12 years andersk Compile with warnings enabled by default. Signed-off-by: Anders ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @215c119   12 years andersk Compile libfaim with -Wno-pointer-sign if the compiler supports it. ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @b3a77b1   12 years andersk Assume des_ecb_encrypt is prototyped. I can’t find a system that has ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @ce27cc1   12 years andersk configure.ac: Reimplement -fstack-protector check with ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @d7cc50b   12 years andersk Death to more RCS keywords. Signed-off-by: Anders Kaseorg ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @636de2a   12 years andersk Use automake’s silent-rules mode if available, for quieter build ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @ec21c62   12 years broder Correct the --with-libzephyr help message in the configure script. release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @ecc958e   12 years nelhage Bump the version # for development. release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @6d80673   12 years nelhage BarnOwl 1.3 release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @4656238   12 years nelhage BarnOwl 1.3rc1 release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @3ff3d86   12 years nelhage Complete variables and style names release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @f4b7a03   12 years nelhage Bump the version for locker build release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @b9c8d28   12 years andersk perl/modules/Makefile.am: Convert to automake. Signed-off-by: Anders ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @b00c0a1   12 years nelhage Version # for locker build release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @130633c   12 years nelhage Merge branch 'automake' Conflicts: Makefile.in libfaim/Makefile.in ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @c08a725   12 years nelhage Add perl libraries to LIBS instead of LDFLAGS. For reasons I don't ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @0ce0535   12 years nelhage Remove --with-athstatic --with-athstatic has no purpose any more, and ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @37f27bc   12 years nelhage Switch the build system to using automake. Use automake for the build ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @4097723   12 years nelhage configure: Support --with{out,}-stack-protector This is a cleaner way ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @16c0416   12 years nelhage Fix building with Zephyr. release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @2c270e6   12 years nelhage configure: Support an explicit --with{out,}-zephyr option. release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @c50f589   12 years nelhage Support --program-{prefix,suffix,transform}. Since our build scripts ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @7c09b21   12 years andersk configure.ac: Replace echo with AC_MSG_NOTICE. Signed-off-by: Anders ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @b5fe6d2   13 years hartmans Support zcrypt using OpenSSL DES Support a hackish mechanism for ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @3da3afe   13 years hartmans Remove unneeded dependency on krb5 and krb4 Barnowl links against ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @53d4634   13 years andersk Remove m4_include(/usr/share/aclocal/pkg.m4) and let aclocal deal. ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @87afe92   13 years hartmans Support -fstack-protector Gcc and some Linux environments support a ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @d54035d   13 years nelhage clarify error message when curses is missing The lack of 'w' confused ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @d9337637   13 years nelhage Put glib's CFLAGS and LDFLAGS at the beginning of the corresponding ... barnowl_perlaimdebianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(add) @680ed23   14 years nelhage Rename configure.in to configure.ac so Debian autoconf DTRT. barnowl_perlaimdebianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
Note: See TracRevisionLog for help on using the revision log.